CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-3738

There is an overflow bug in the AVX2 Montgomery multiplication procedure used in exponentiation with 1024-bit moduli. No EC algorithms are affected. Analysis suggests that attacks against RSA and DSA as a result of this defect would be very difficult to perform and are not believed likely. Attacks against DH1024 are considered just feasible, because most of the work necessary to deduce information about a private key may be performed offline. The amount of resources required for such an attack would be significant. However, for an attack on TLS to be meaningful, the server would have to share the DH1024 private key among multiple clients, which is no longer an option since CVE-2016-0701. This only affects processors that support the AVX2 but not ADX extensions like Intel Haswell (4th generation). Note: The impact from this issue is similar to CVE-2017-3736, CVE-2017-3732 and CVE-2015-3193. OpenSSL version 1.0.2-1.0.2m and 1.1.0-1.1.0g are affected. Fixed in OpenSSL 1.0.2n. Due to the low severity of this issue we are not issuing a new release of OpenSSL 1.1.0 at this time. The fix will be included in OpenSSL 1.1.0h when it becomes available. The fix is also available in commit e502cc86d in the OpenSSL git repository.
Publish Date : 2017-12-07 Last Update Date : 2019-04-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) OverflowObtain Information
CWE ID 200

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2018:0998: openssl security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20180998 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2017-3738

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
2 Application Openssl Openssl 1.0.2a Version Details Vulnerabilities
3 Application Openssl Openssl 1.0.2l Version Details Vulnerabilities
4 Application Openssl Openssl 1.0.2g Version Details Vulnerabilities
5 Application Openssl Openssl 1.0.2b Version Details Vulnerabilities
6 Application Openssl Openssl 1.0.2m Version Details Vulnerabilities
7 Application Openssl Openssl 1.0.2 Version Details Vulnerabilities
8 Application Openssl Openssl 1.0.2h Version Details Vulnerabilities
9 Application Openssl Openssl 1.0.2c Version Details Vulnerabilities
10 Application Openssl Openssl 1.0.2 Beta1 Version Details Vulnerabilities
11 Application Openssl Openssl 1.0.2i Version Details Vulnerabilities
12 Application Openssl Openssl 1.0.2d Version Details Vulnerabilities
13 Application Openssl Openssl 1.0.2 Beta2 Version Details Vulnerabilities
14 Application Openssl Openssl 1.0.2j Version Details Vulnerabilities
15 Application Openssl Openssl 1.0.2e Version Details Vulnerabilities
16 Application Openssl Openssl 1.0.2 Beta3 Version Details Vulnerabilities
17 Application Openssl Openssl 1.0.2k Version Details Vulnerabilities
18 Application Openssl Openssl 1.0.2f Version Details Vulnerabilities
19 Application Openssl Openssl 1.1.0c Version Details Vulnerabilities
20 Application Openssl Openssl 1.1.0d Version Details Vulnerabilities
21 Application Openssl Openssl 1.1.0e Version Details Vulnerabilities
22 Application Openssl Openssl 1.1.0 Version Details Vulnerabilities
23 Application Openssl Openssl 1.1.0f Version Details Vulnerabilities
24 Application Openssl Openssl 1.1.0a Version Details Vulnerabilities
25 Application Openssl Openssl 1.1.0g Version Details Vulnerabilities
26 Application Openssl Openssl 1.1.0b Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Openssl Openssl 25

- References For CVE-2017-3738

https://www.tenable.com/security/tns-2018-06 CONFIRM
https://www.tenable.com/security/tns-2018-04 CONFIRM
https://www.tenable.com/security/tns-2017-16 CONFIRM
https://www.tenable.com/security/tns-2018-07 CONFIRM
https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html CONFIRM
https://www.openssl.org/news/secadv/20171207.txt CONFIRM
https://www.openssl.org/news/secadv/20180327.txt CONFIRM
https://security.netapp.com/advisory/ntap-20171208-0001/ CONFIRM
https://www.debian.org/security/2017/dsa-4065
DEBIAN DSA-4065
https://www.debian.org/security/2018/dsa-4157
DEBIAN DSA-4157
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbst03881en_us CONFIRM
https://nodejs.org/en/blog/vulnerability/december-2017-security-releases/ CONFIRM
https://github.com/openssl/openssl/commit/e502cc86df9dafded1694fceb3228ee34d11c11a
http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html CONFIRM
http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html CONFIRM
https://security.gentoo.org/glsa/201712-03
GENTOO GLSA-201712-03
https://access.redhat.com/errata/RHSA-2018:2186
REDHAT RHSA-2018:2186
https://security.FreeBSD.org/advisories/FreeBSD-SA-17:12.openssl.asc
FREEBSD FreeBSD-SA-17:12
https://access.redhat.com/errata/RHSA-2018:2187
REDHAT RHSA-2018:2187
http://www.securityfocus.com/bid/102118
BID 102118 OpenSSL CVE-2017-3738 Information Disclosure Vulnerability Release Date:2018-10-15
http://www.securitytracker.com/id/1039978
SECTRACK 1039978
https://access.redhat.com/errata/RHSA-2018:0998
REDHAT RHSA-2018:0998
http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html CONFIRM
https://access.redhat.com/errata/RHSA-2018:2185
REDHAT RHSA-2018:2185
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html CONFIRM

- Metasploit Modules Related To CVE-2017-3738

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.